Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1402307

Summary: Random freeze of desktop when using 3 screens with T450s
Product: [Fedora] Fedora Reporter: Ladislav Jozsa <ljozsa>
Component: mutterAssignee: Florian Müllner <fmuellner>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: ajax, fmuellner, kparal, mihai, otaylor, walters
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mutter-3.22.2-3.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-09 22:29:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description Ladislav Jozsa 2016-12-07 08:45:01 UTC
Description of problem:
Hi,

when I configure my system to use 3 screens, basically 2 LCD's connected to T450s docking station via DVI and VGA and 3rd screen is T450s then after some time environment completely freezes and I'm unable to even switch to console using ctrl-alt-fx shortcuts.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xwayland-1.19.0-1.fc25.x86_64

How reproducible:
after some time of using 100%

Steps to Reproduce:
1. Use Lenovo T450s with integrated GPU only and docking station
2. Connect two LCD's to the docking station
3. Configure system to use all 3 screens (incl. laptop screen)
4. Work with the system for a while
5. To help to trigger the freeze try to play some youtube video while reconfiguring screen setup (making one primary, other secondary, etc)

Actual results:
Complete freeze of the environment

Expected results:
Evironment should be stable

Additional info:

Comment 1 Kamil Páral 2016-12-07 08:49:56 UTC
This is being solved here:
https://bugzilla.gnome.org/show_bug.cgi?id=774557

I'm gonna close this bug, it's almost done.

Comment 2 Fedora Update System 2016-12-07 16:51:44 UTC
mutter-3.22.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f7c3795d89

Comment 3 Fedora Update System 2016-12-08 19:25:27 UTC
mutter-3.22.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f7c3795d89

Comment 4 Fedora Update System 2016-12-09 22:29:36 UTC
mutter-3.22.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.